Bug 124457 - USB mouse attached during boot prevents detection of touchpad
USB mouse attached during boot prevents detection of touchpad
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 15:08 EDT by Miles Sabin
Modified: 2015-01-04 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:26:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/dev/input/devices with and without USB mouse attached on boot (1.04 KB, text/plain)
2004-05-26 16:17 EDT, Miles Sabin
no flags Details

  None (edit)
Description Miles Sabin 2004-05-26 15:08:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Fresh FC2 install on a Sony PGC-Z1XSP which comes with an Alps touchpad.
If I boot without a USB mouse attached the touchpad and keyboard are 
both detected,

  kernel: serio: i8042 AUX port at 0x60,0x64 irq 12
  kernel: input: PS/2 Generic Mouse on isa0060/serio1
  kernel: serio: i8042 KBD port at 0x60,0x64 irq 1
  kernel: input: AT Translated Set 2 keyboard on isa0060/serio0

But if I boot with a USB mouse attached then the touchpad isn't detected
(only the last two of the above lines appear in /var/log/messages) and
nothing I can think of will bring it to life.

OTOH, attaching the USB mouse _after_ boot works just fine: X responds 
to both the touchpad and the mouse via /dev/input/mice.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Attach USB mouse to laptop with Alps touchpad
2. Boot

    

Actual Results:  Only USB mouse is detected on boot


Expected Results:  Both touchpad and USB mouse detected

Additional info:
Comment 1 Bill Nottingham 2004-05-26 15:27:12 EDT
I'm *guessing* your bios turns the touchpad off at boot if a USB mouse
is detected. Are there any options in your BIOS about this?
Comment 2 Miles Sabin 2004-05-26 15:40:10 EDT
No there aren't.

Is there any other information I can give you?
Comment 3 Bill Nottingham 2004-05-26 15:47:43 EDT
/proc/bus/input/devices doesn't list the touchpad, presumably, if you
boot with a USB mouse?

Does fiddling with psmouse.proto=<bare|imps|exps> on the kernel
command line help at all?
Comment 4 Miles Sabin 2004-05-26 16:17:21 EDT
Created attachment 100604 [details]
/dev/input/devices with and without USB mouse attached on boot
Comment 5 Miles Sabin 2004-05-26 16:17:57 EDT
/proc/bus/input/devices with and without USB mouse attached. The
detection of the jog dial in the without case seems a bit stranged
because this machine doesn't have a jog dial.

Fiddling with psmouse.proto doesn't help.
Comment 6 Bill Nottingham 2004-05-26 16:29:11 EDT
Assigning to kernel... if it's not showing up there, not much kudzu
can do. Does this work with earlier releases?
Comment 7 Miles Sabin 2004-05-26 16:38:02 EDT
It's a new machine and hasn't had any earlier releases on it.
Comment 8 Dmitry Torokhov 2004-05-27 14:31:30 EDT
Please try the patch mentioned in the following link or, 
alternatively, try loading all your USB stuff before loading psmouse 
module.

http://marc.theaimsgroup.com/?l=linux-kernel&m=108213030732425&w=2
Comment 9 Bill Nottingham 2004-05-27 15:19:31 EDT
psmouse is built in...
Comment 10 Miles Sabin 2004-05-27 15:32:48 EDT
Thanks for that link ... unfortunately I'm not going to have time to
build a custom kernel for a week or so.

FWIW, the earlier thread here,

  http://marc.theaimsgroup.com/?t=107511983400003&r=1&w=2

appears to describe my problem exactly, including the Sony BIOS
limitations. Given that psmouse is non-modular in the stock FC2 kernel
I can't try the workaround of playing with module load order that's
mentioned there.
Comment 11 Miles Sabin 2004-06-09 14:00:13 EDT
Just like to report that this problem appears to be fixed with test
kernel 2.6.6-1.424.
Comment 12 Dave Jones 2005-04-16 00:26:38 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.